import type { FnCallExpr } from "../../expr";
import { type CodeGenContext } from "../utils";
export declare function generateYoIsoExtract(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
export declare function generateYoIsoDispose(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
export declare function isIsoTypeCall(expr: FnCallExpr): boolean;
export declare function generateIsoTypeCall(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
